Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class Cassandra

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra

    public class Cassandra

extends java.lang.Object

Nested Class Summary
`static class` | `Cassandra.batch_insert_args`
`static class` | `Cassandra.batch_insert_result`
`static class` | `Cassandra.batch_mutate_args`
`static class` | `Cassandra.batch_mutate_result`
`static class` | `Cassandra.Client`
`static class` | `Cassandra.describe_cluster_name_args`
`static class` | `Cassandra.describe_cluster_name_result`
`static class` | `Cassandra.describe_keyspace_args`
`static class` | `Cassandra.describe_keyspace_result`
`static class` | `Cassandra.describe_keyspaces_args`
`static class` | `Cassandra.describe_keyspaces_result`
`static class` | `Cassandra.describe_partitioner_args`
`static class` | `Cassandra.describe_partitioner_result`
`static class` | `Cassandra.describe_ring_args`
`static class` | `Cassandra.describe_ring_result`
`static class` | `Cassandra.describe_splits_args`
`static class` | `Cassandra.describe_splits_result`
`static class` | `Cassandra.describe_version_args`
`static class` | `Cassandra.describe_version_result`
`static class` | `Cassandra.get_args`
`static class` | `Cassandra.get_count_args`
`static class` | `Cassandra.get_count_result`
`static class` | `Cassandra.get_range_slice_args`
`static class` | `Cassandra.get_range_slice_result`
`static class` | `Cassandra.get_range_slices_args`
`static class` | `Cassandra.get_range_slices_result`
`static class` | `Cassandra.get_result`
`static class` | `Cassandra.get_slice_args`
`static class` | `Cassandra.get_slice_result`
`static class` | `Cassandra.get_string_list_property_args`
`static class` | `Cassandra.get_string_list_property_result`
`static class` | `Cassandra.get_string_property_args`
`static class` | `Cassandra.get_string_property_result`
`static interface` | `Cassandra.Iface`
`static class` | `Cassandra.insert_args`
`static class` | `Cassandra.insert_result`
`static class` | `Cassandra.login_args`
`static class` | `Cassandra.login_result`
`static class` | `Cassandra.multiget_args`
`static class` | `Cassandra.multiget_result`
`static class` | `Cassandra.multiget_slice_args`
`static class` | `Cassandra.multiget_slice_result`
`static class` | `Cassandra.Processor`
`static class` | `Cassandra.remove_args`
`static class` | `Cassandra.remove_result`

Constructor Summary
`Cassandra()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cassandra

    public Cassandra()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation